[arch-commits] Commit in transcode/trunk (PKGBUILD transcode.install)

Jan de Groot jgc at archlinux.org
Thu May 21 08:09:14 EDT 2009


    Date: Thursday, May 21, 2009 @ 08:09:14
  Author: jgc
Revision: 39774

upgpkg: transcode 1.1.0-5
    Rebuild for dvdread, add alsa,x264,xvidcore plugins. Remove install message

Modified:
  transcode/trunk/PKGBUILD
Deleted:
  transcode/trunk/transcode.install

-------------------+
 PKGBUILD          |    9 ++++-----
 transcode.install |    6 ------
 2 files changed, 4 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-21 12:06:13 UTC (rev 39773)
+++ PKGBUILD	2009-05-21 12:09:14 UTC (rev 39774)
@@ -5,13 +5,12 @@
 pkgname=transcode
 _sripver=0.3-4
 pkgver=1.1.0
-pkgrel=4
+pkgrel=5
 pkgdesc="Transcode is a video/DVD ripper and encoder for the terminal/console."
 arch=(i686 x86_64)
 license=('GPL2')
-depends=('imagemagick>=6.5.0.10' 'lzo2' 'libdv' 'libdvdread' 'ffmpeg>=0.5' 'mjpegtools' 'xvidcore' 'libmpeg2' 'libtheora' 'libxaw' 'x264>=20090416' 'libxml2' 'libxv' 'a52dec')
+depends=('imagemagick>=6.5.1.9' 'lzo2' 'libdv' 'libdvdread>=4.1.3' 'ffmpeg>=0.5' 'mjpegtools' 'xvidcore' 'libmpeg2' 'libtheora' 'libxaw' 'x264>=20090416' 'libxml2' 'libxv' 'a52dec' 'alsa-lib')
 makedepends=('nasm')
-install=transcode.install
 url="http://transcoding.org"
 options=(!libtool !makeflags)
 source=(http://fromani.exit1.org/${pkgname}-${pkgver}.tar.bz2 \
@@ -33,6 +32,7 @@
     --enable-libdv --enable-libxml2 --enable-v4l \
     --enable-imagemagick --enable-libjpeg --enable-lzo --enable-mjpegtools \
     --enable-sdl --enable-freetype2 --enable-a52 --enable-libpostproc \
+    --enable-xvid --enable-x264 --enable-alsa \
     --with-libxml2-prefix=/usr \
     --with-mjpegtools-prefix=/usr \
     --with-imagemagick-prefix=/usr \
@@ -51,8 +51,7 @@
  # this imports the latest subtitleripper sources and replaces the internal
 ###  rm -rf $startdir/src/$pkgname-$pkgver/contrib/subrip
   mkdir contrib
-  tar xzf ../subtitleripper-${_sripver}.tgz -C contrib
-  mv contrib/subtitleripper contrib/subrip
+  mv ${srcdir}/subtitleripper contrib/subrip
  # removes dependency on libppm, make it dependend on netpbm just failed, argh...
   sed -i 's|^\(.*lppm.*\)$|#\1|' contrib/subrip/Makefile || return 1
   sed -i 's|^\(.*D_HAVE_LIB_PPM.*\)$|#\1|' contrib/subrip/Makefile || return 1

Deleted: transcode.install
===================================================================
--- transcode.install	2009-05-21 12:06:13 UTC (rev 39773)
+++ transcode.install	2009-05-21 12:09:14 UTC (rev 39774)
@@ -1,6 +0,0 @@
-post_install() {
-echo ">>"
-echo ">> Transcode currently does not work with divx4linux. Please"
-echo ">> use xvid(core) instead."
-echo ">>"
-}



More information about the arch-commits mailing list